Subject: Re: [PATCH] gitweb: ref markers link to named shortlogs

From: Jakub Narebski <[email-masked]>
Date: Tue, 26 Aug 2008 13:49:26 +0200

On Tue, 26 Aug 2008 12:58, Giuseppe Bilotta wrote:
> On Tue, Aug 26, 2008 at 10:15 AM, Jakub Narebski <[email-masked]> wrote:
> >
> > BTW. one thing that can be done is consolidation of "guessing action"
> > code: it is done by simply calculating what is to put in $action during
> > dispatch, or is done in 'object' view to calculate redirect URL with
> > proper action.  I have tried to bring them together, but patches were
> > I think lost in the noise.
> 
> Ah, but the problem is that guessing the action based on the object
> sometimes depends on the context: for some cases the 'commit' action
> is the correct one for commits, in other cases shortlog is preferred.
> This is why I introduced the %views hash in some of my patches.

By the way, this is argument *for* selecting action when generating
link, if it is possible without incurring unnecessary (if you don't
follow the link) performance penalty.  For example in the case of
ref markers links, you can link to 'log' in log view, 'shortlog'
in 'shortlog' view, perhaps even 'history' in 'history' and 'tree'/'blob'
views; or just 'shortlog' in all other views (for "commit subject"
line heading).

Just my 2 eurocents.
-- 
Jakub Narebski
Poland